]> arthur.barton.de Git - netatalk.git/commitdiff
* moved lp2pap.sh out of root of repository
authorrufustfirefly <rufustfirefly>
Tue, 2 Jan 2001 18:57:07 +0000 (18:57 +0000)
committerrufustfirefly <rufustfirefly>
Tue, 2 Jan 2001 18:57:07 +0000 (18:57 +0000)
* small initscripts modprobe check for appletalk module in redhat
* autogen now removes INSTALL/ (kludge)

autogen.sh
contrib/shell_utils/Makefile.am
contrib/shell_utils/lp2pap.sh.tmpl [new file with mode: 0755]
distrib/initscripts/rc.atalk.redhat.tmpl
lp2pap.sh [deleted file]

index cec7ec6cba66532cd08d71e5a060e9789c7686a1..416ff90d0cc51b880bd4850dbbb76e5fc91d72c4 100755 (executable)
@@ -1,5 +1,9 @@
 #!/bin/sh
 
+# quick fix to remove old INSTALL/ directory
+rm -Rvf INSTALL
+
+# build it all.
 libtoolize --force && aclocal $ACLOCAL_FLAGS && autoheader && automake --add-missing && autoconf
 
 # just in case automake generated errors...
index 345ea8f788f8023fa1251e597d3296bada79dfef..332ece794732825f73da99c2becc3ce1f2c40762 100644 (file)
@@ -1,3 +1,13 @@
 # Makefile for contrib/shell_utils/
 
-bin_SCRIPTS = apple_cp apple_mv apple_rm
+SUFFIXES = .tmpl .
+
+.tmpl:
+       sed -e s@:BINDIR:@${bindir}@ \
+               -e s@:SBINDIR:@${sbindir}@ \
+               -e s@:ETCDIR:@${CONFIG_DIR}@ \
+               <$^ >$@
+
+CLEANFILES = lp2pap.sh
+
+bin_SCRIPTS = apple_cp apple_mv apple_rm lp2pap.sh
diff --git a/contrib/shell_utils/lp2pap.sh.tmpl b/contrib/shell_utils/lp2pap.sh.tmpl
new file mode 100755 (executable)
index 0000000..fea0cf4
--- /dev/null
@@ -0,0 +1,11 @@
+#!/bin/sh
+# pap script for lp systems
+
+chdir "/etc/lp/printers/`basename $0`"
+
+if [ -r "$6" ]; then
+    :BINDIR:/pap -E "$6"
+    exit $?
+fi
+
+exit 2
index 75127c8312dbcddb004706c9c242d54479f75edc..023d73b82b1eeff369e047ba559ea5b89ecf49df 100644 (file)
@@ -19,6 +19,12 @@ ATALK_SBIN=:SBINDIR:
 # Source networking configuration.
 . /etc/sysconfig/network
 
+# Quickly probe for appletalk and exit if we can't find it
+/sbin/modprobe appletalk || exit 0
+
+# Check for IP Encapsulation support
+#/sbin/modprobe ipddp || echo "[could not load IP encapsulation]"
+
 test -x ${ATALK_SBIN}/atalkd || exit 0
 
 test -f ${ATALK_CONF_DIR}/netatalk.conf || exit 0
diff --git a/lp2pap.sh b/lp2pap.sh
deleted file mode 100755 (executable)
index fea0cf4..0000000
--- a/lp2pap.sh
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-# pap script for lp systems
-
-chdir "/etc/lp/printers/`basename $0`"
-
-if [ -r "$6" ]; then
-    :BINDIR:/pap -E "$6"
-    exit $?
-fi
-
-exit 2